Results 1 to 5 of 5

Thread: Problem upgrading to Kali Rolling

  1. #1
    Join Date
    2015-Aug
    Posts
    7

    Problem upgrading to Kali Rolling

    I'm on Kali 2.0 (sana) and I try to upgrade to Kali Rolling. I do as described in the instructions:
    Code:
    cat << EOF > /etc/apt/sources.list
    deb http://http.kali.org/kali kali-rolling main non-free contrib
    EOF
    
    apt-get update
    apt-get dist-upgrade
    But at the end I get 404 Not Found for some packages:
    Code:
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/apt-utils_1.2.2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/libapt-pkg5.0_1.2.2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/apt_1.2.2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/libapt-inst2.0_1.2.2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/g/gnutls28/libgnutls30_3.4.8-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/g/gnutls28/libgnutls-openssl27_3.4.8-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/g/gnutls28/libgnutls30_3.4.8-2_i386.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libt/libtheora/libtheora0_1.1.1+dfsg.1-7.1_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libt/libtheora/libtheora0_1.1.1+dfsg.1-7.1_i386.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/c/chromaprint/libchromaprint0_1.2-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/f/findutils/findutils_4.6.0-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/apt-transport-https_1.2.2_amd64.deb  404  Not Found
    
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
    Where is the problem?

  2. #2
    Join Date
    2015-Dec
    Posts
    8
    If I recall correctly I used the apt-get dist-upgrade first and it worked. Use apt-get update afterwards and it should work. Lemme know if that solves it.

  3. #3
    Could be the mirrors are having issues. Best to wait 5 mins and then try again.
    This is a Kali-Linux support forum - not general IT/infosec help.

    Useful Commands: OS, Networking, Hardware, Wi-Fi
    Troubleshooting: Kali-Linux Installation, Repository, Wi-Fi Cards (Official Docs)
    Hardware: Recommended 802.11 Wireless Cards

    Documentation: http://docs.kali.org/ (Offline PDF version)
    Bugs Reporting & Tool Requests: https://bugs.kali.org/
    Kali Tool List, Versions & Man Pages: https://tools.kali.org/

  4. #4
    Join Date
    2015-Aug
    Posts
    7
    I fixed it. Just used 'repo' instead of 'http'.
    Last edited by zdzdz; 2016-02-19 at 09:05.

  5. #5
    Join Date
    2016-Feb
    Posts
    1
    The fix posted by zdzdz worked for me to. Changed it to http://repo.kali.org.....

    Should the instructions be changed here - https://www.kali.org/news/kali-linux...dition-2016-1/ ?

    Or was the problem that we had not common?

Similar Threads

  1. kali rolling upgrading safe?
    By Towlieee in forum General Archive
    Replies: 3
    Last Post: 2017-06-27, 10:05
  2. GNOME visual issues after updating/upgrading Kali Rolling
    By Koah Nuttler in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2016-05-15, 09:04
  3. issues upgrading from kali 2.0 to 2016.1 rolling.
    By gunner_k in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-03-11, 22:37
  4. Replies: 2
    Last Post: 2016-02-09, 12:27

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •